Bug 232697 - Amarok.Playlist.playMedia won't load m3u playlists
Summary: Amarok.Playlist.playMedia won't load m3u playlists
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlists/Saved Playlists (show other bugs)
Version: 2.5.0
Platform: Gentoo Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2010-03-30 15:04 UTC by Aravorn
Modified: 2012-07-03 21:35 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aravorn 2010-03-30 15:04:04 UTC
Version:           2.2.2 (using KDE 4.3.5)
OS:                Linux
Installed from:    Gentoo Packages

Loading Playlist within Menu work  Playlist->"Add Media..."
but scripting won't work
Amarok.Playlist.playMedia(new QUrl('file:///test.m3u'))
Comment 1 Sven Krohlas 2010-03-30 21:07:57 UTC
Ok, I'm a bit confused atm. I tried the following in the script console:

-----
Importer.loadQtBinding( "qt.core" );
url = new QUrl("http://www.darkerradio.com/listen.pls");
Amarok.Playlist.playMedia( url );
-----

It works fine, as long as url is not a m3u playlist. tested with that remote .pls, a local mp3 and a local m3u.
Comment 2 Bart Cerneels 2010-03-31 10:58:52 UTC
This could be a bug, even regression, in M3UPlaylist. Something we should investigate.
Comment 3 Aravorn 2010-04-02 16:52:24 UTC
even local pls and xspf dont' work
Comment 4 Marco 2010-06-29 01:03:01 UTC
Please fix this bug, I cannot implement any webcontrol to change the playlist. 
It would be very useful to change a playlist saved in mysql
Comment 5 Myriam Schweingruber 2011-09-26 15:33:54 UTC
Is this still valid with Amarok 2.4.3 or current git?
Comment 6 Myriam Schweingruber 2011-11-07 12:09:49 UTC
Closing for lack of feedback. Feel free to reopen if you can reproduce this with the latest stable or git build.
Comment 7 Aravorn 2012-02-01 14:57:59 UTC
still valid in Version 2.5.0
tested under KDE 4.7.4
Comment 8 Matěj Laitl 2012-07-03 21:35:09 UTC
Git commit 7d88d07cd4cd5fc9c316124d297f9c672ebdb779 by Matěj Laitl.
Committed on 03/07/2012 at 23:20.
Pushed by laitl into branch 'master'.

AmarokPlaylistScript: play all media in {add,play}Media(), add playMediaList()

No need to convert to tracks (this way it excluded playlists),
PlaylistController is good enough to read all kinds of urls including
playlists.

Add playMediaList() method for symmetry with addMediaList() when at it.

We thought it worked for other than .m3u playlists, but it was by
chance becasce CollectionManager::trackForUrl() returned something
(probably the first track) for other playlists.
FIXED-IN: 2.6

M  +3    -0    ChangeLog
M  +14   -8    src/scriptengine/AmarokPlaylistScript.cpp
M  +1    -0    src/scriptengine/AmarokPlaylistScript.h

http://commits.kde.org/amarok/7d88d07cd4cd5fc9c316124d297f9c672ebdb779